[package]
name = "mqttrs"
version = "0.4.1"
authors = ["00imvj00 <vijaybambhaniya007@gmail.com>",
           "Vincent de Phily <moltonel@gmail.com>",
           "Mathias Koch <smilykoch@gmail.com>"]
edition = "2018"
description = "Mqtt protocol encoding and decoding"
readme = "README.md"
homepage = "https://github.com/00imvj00/mqttrs"
repository = "https://github.com/00imvj00/mqttrs"
documentation = "https://docs.rs/mqttrs"
keywords = ["mqtt", "pubsub", "publish-subscribe", "codec"]
categories = ["encoding", "network-programming", "no-std"]
license = "Apache-2.0"

[features]
default = ["std"]

# Implements serde::{Serialize,Deserialize} on mqttrs::Pid.
derive = ["serde"]
std = ["bytes", "bytes/std", "serde/std"]

[dependencies]
bytes = { version = "1.0", default-features = false, optional = true }
serde = { version = "1.0", features = ["derive"], optional = true }
heapless = "0.7"

[dev-dependencies]
proptest = "0.10.0"
